[1] Others / News / Problem Compiling
 

Offline mondoman22

  • Newbie
  • *
  • Posts: 7
    • View Profile
Problem Compiling
« on: April 21, 2013, 22:46:42 »
Hello all,
  I am having a problem with natty version for compiling here is the error i am getting

root@development:/usr/local/src/oner/MLD/branches/natty# make
Build ISOs:
  Iso: ff-sd:
      kernel:
   Use patch ../arm.patch
patching file arch/arm/mach-versatile/Kconfig
patching file arch/arm/mm/Kconfig
   Use patch ../aufs_cpup.patch
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Nur aufs-3.0.orig/fs/aufs/opts.c aufs-3.0/fs/aufs/opts.c
|--- aufs-3.0.orig/fs/aufs/opts.c   2011-10-27 00:25:47.000000000 +0200
|+++ aufs-3.0/fs/aufs/opts.c   2011-10-27 12:00:10.077514722 +0200
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 22
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Nur aufs-3.0.orig/fs/aufs/opts.h aufs-3.0/fs/aufs/opts.h
|--- aufs-3.0.orig/fs/aufs/opts.h   2011-10-27 00:25:47.000000000 +0200
|+++ aufs-3.0/fs/aufs/opts.h   2011-10-27 12:02:19.303887540 +0200
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 40
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -Nur aufs-3.0.orig/fs/aufs/wbr_policy.c aufs-3.0/fs/aufs/wbr_policy.c
|--- aufs-3.0.orig/fs/aufs/wbr_policy.c   2011-10-27 00:25:47.000000000 +0200
|+++ aufs-3.0/fs/aufs/wbr_policy.c   2011-10-27 12:17:49.928189182 +0200
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
2 out of 2 hunks ignored
make[5]: *** [patch] Error 1
make[4]: *** [src/linux-3.3.1] Error 2
make[3]: *** [_all] Error 2
make[2]: *** [../KERNEL/kernel.gz] Error 2
make[1]: *** [_all] Error 2

Can someone please help me

           Thanks Mondo

I am trying to compile the versions for x86 and i have followed the instructions and yet i get these errors?
« Last Edit: April 21, 2013, 22:48:27 by mondoman22 »

Offline MarMic

  • Administrator
  • Expert Member
  • ********
  • Posts: 4822
    • View Profile
Problem Compiling
« Reply #1 on: April 22, 2013, 10:14:48 »
that is strange?!?! why is it using the arm patch?

is the makefile.config the regular one?

greetz MarMic
SZVDR HD: Intel e5300@1,2ghz - Gigabyte GA-EP41-UD3L - 2GB ddr2 800 - Gainward G210 512mb - Silverstone LC16MR - DVBSky S952 - Astra 19,2 - MLD 5.4

WZVDR HD: Intel g1610@1,6ghz - Intel DH61BE - Scythe Big Shuriken 2 - 4GB ddr3 1333 - Asus GT610 1024mb - Chieftec Hi-Fi HM-02 - Tevii s480 - Astra 19,2 - MLD 5.4


Offline mondoman22

  • Newbie
  • *
  • Posts: 7
    • View Profile
Problem Compiling
« Reply #2 on: April 22, 2013, 13:44:35 »
Yes it is,
  and I do not know why it is using the arm patch!!! It was making me
crazy yesterday!! in fact

Makefile. Config

.SILENT:

Thats whats in there

Then here is the Makefile

configfile := Makefile.config
SHELL := /bin/bash
deps := subversion cvs squashfs-tools gettext ipsvd bzip2 lsb-release


ifeq ($(MAKECMDGOALS),deps)

.SILENT:

deps:
   @ echo -n "$(deps) ";
   while read modul; do
      if [ -d $$modul ]; then
         test -n "$(verbose)" && echo -en "n$$modul: " >&2;
         deps=$$($(MAKE) -s -C $$modul deps);
         test -n "$$deps" && echo -n "$$deps ";
      fi;
   done < modules_list;
   echo

else
ifeq ($(wildcard $(configfile)),)

.SILENT:

all %:
   @$(MAKE) -s $(configfile)
   @$(MAKE) $*

include Makefile.svn
include Makefile.tools

$(configfile):
   @$(MAKE) -s dep
   @echo ".SILENT:" >> $(configfile)

else

include $(configfile)

SHELL := /bin/bash

ifeq ($(findstring arm,$(shell uname -m)),)
# x86 systems
addon_lists ?="
ff-sd    = locales install dvb network webserver remote-autodetect vdr addons dvbsddevice setupn
ff-hd    = locales install dvb network webserver remote-autodetect vdr addons dvbhddevice setupn
standard = locales install dvb dvb-usb network webserver alsa remote-autodetect lib-x xorg xorg-autodetect vdr addons setup lib-xine xineliboutputn
server   = config.server locales install dvb network nfs-server webserver ssh lib-curl samba vdr addons setup dummydevice skincurses streamdev-server svdrposdn
client   = locales install network ntp-client nfs-client webserver alsa remote-autodetect lib-x xorg xorg-autodetect vdr addons setup lib-xine xineliboutput streamdev-client svdrpservice remoteosd remotetimersn
iptv     = locales install network ntp-client webserver alsa remote-autodetect lib-x xorg xorg-autodetect vdr addons setup lib-xine xineliboutput lib-av vlc iptvn
web      = locales install network webserver alsa lib-x xorg xorg-autodetect lib-pango fonts firefox flashpluginn
"
else
# arm systems
addon_lists ?= "
xorg          = config.rpi locales network ntp-client webserver ssh lib-x xorgn
server        = config.server locales dvb-usb network ntp-client webserver ssh nfs-server lib-curl samba vdr addons setup dummydevice skincurses vompserver streamdev-server svdrposdn
vomp-client   = config.rpi locales network ntp-client webserver ssh alsa lib-av vc fonts vompclientn
vomp          = config.rpi locales dvb-usb network ntp-client webserver ssh alsa vdr dummydevice vompserver lib-av vc fonts vompclientn
squeezeplayer = config.rpi locales network ntp-client webserver ssh alsa lib-x xorg squeezeserver squeezeplay perl lib-avn
"
#standard = config.rpi locales dvb-usb network webserver ssh alsa remote-autodetect lib-x xorg vdr addons setup lib-xine xineliboutputn
#client   = config.rpi locales network ntp-client nfs-client webserver ssh alsa remote-autodetect lib-x xorg vdr addons setup lib-xine xineliboutput streamdev-client svdrpservice remoteosd remotetimers epgsyncn
#xbmc-pvr = config.rpi locales dvb-usb network webserver ssh alsa remote-autodetect lib-x xorg vdr addons setup dummydevice skincurses vnsiserver lib-curl python xbmc.pvrn
#xbmc     = config.rpi locales dvb-usb network webserver ssh alsa remote-autodetect lib-x xorg lib-curl python xbmcn

endif

addon_lists?="
activy   = devel-tools activy dvb.hg vdr setup em84xx-base em84xx network.small telnet samban
"

addon_inactiv_list?="
usbdvb   = softdevice-vidix network.wlann
"

isos: ISO
   echo "Build ISO$(if $(name), $(name),s):"
   svn status | grep "^M" || true
   @echo -e $(addon_lists) | while read addons; do
      if [ -n "$${addons%% *}" -a ( -z "$(name)$(i)" -o "$${addons%% *}" = "$(name)$(i)" ) ]; then
         addons_inactiv="`echo "$(addon_inactiv_list)" | grep "^$${addons%% *} "`";
         $(MAKE) -C ISO collection=$${addons%% *} addon_list="$${addons##*=}" addon_inactiv_list="$${addons_inactiv##*=}";
      fi;
   done

iso:
   $(MAKE) isos no_addon_build=1

all:
   echo "Build all:"
   rm -f broken_addons.lst
   @while read modul; do
      if [ -e $$modul ]; then
         if [ ! -e $$modul/Makefile ]; then
            echo "Makefile missing in Addon: $$modul";
         else
            $(MAKE) -C $$modul || { echo $$modul >> broken_addons.lst; test "$$modul" != "KERNEL" -a "$$modul" != "INITRAMFS" || exit 1; };
         fi;
      fi;
   done < modules_list
   $(MAKE) iso
   if [ -e broken_addons.lst ]; then
      echo -e "nThe following addons can't be compile";
      cat broken_addons.lst;
      rm broken_addons.lst;
   fi


clean_all:
   echo "Clean all:"
   @while read modul; do
      if [ -d $$modul ]; then
         echo "$$modul:";
         $(MAKE) -C $$modul clean;
      fi;
   done < modules_list
   rm -r !_addons

clean_src_all:
   $(MAKE) -f ../Makefile.getfile clean_all


changes:
   @for d in *; do
      if [ -d "$$d/template" ]; then
         (
         cd $$d;
         m=$$(svn status 2>/dev/null | grep -e "^M" -e "^A" -e "^D" -e "^? +template/" | grep -v ".po");
         if [ -n "$$m" ]; then
            echo "$$d";
            echo "$$m";
         fi
         );
      fi;
   done


include Makefile.svn

ISO:
   $(MAKE) checkout name=ISO

endif
endif

    I even tried ARCH=x86  and make and it is still giving me all kinds of weird problems it just will not compile
I downloaded it from the website i svn checked it out and the end result it wouldn't compile... and i do not
have an arm... Soemthing is weird... I don't know its on the stable build its on natty and oneiric I tried them
both... i was compiling them on an ubuntu 12.04 lts amd processor x2 class.

                                    Thanks for looking at this!!!!
                                                    Mondo

Offline clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 20058
    • View Profile
    • ClausMuus.de
Problem Compiling
« Reply #3 on: April 22, 2013, 23:23:56 »
Hi,

please give me this infos (again):
- Ubuntu version are installed
- the output of the command 'shell uname -m'

Claus
MLD 5.5 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.5 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559

Offline mondoman22

  • Newbie
  • *
  • Posts: 7
    • View Profile
Problem Compiling
« Reply #4 on: April 22, 2013, 23:56:15 »
Hey Claus,
   Just got home from work here you go

@development:~$ uname -m
i686
@development:~$ uname -r
3.5.0-27-generic
@development:~$ uname -a
Linux development 3.5.0-27-generic #46~precise1-Ubuntu SMP Tue Mar 26 19:33:56 UTC 2013 i686 i686 i386 GNU/Linux
@development:~$

So i followed the README to a t and it just would not compile it kept giving me errors it wouldn't make the iso's
and it when i just went into the kernel section and tried to make it  that was a no go uClibc not found all kinds of
stuff i checked it out on my machine it downloaded the sources and when i went to compile it just gave me a resounding
NO... heh... I am kinda at a loss because when i do the same for 3.0.2 precise it compiles no problems and works without
an issue as i downloaded and checked out and updated the sources on it and recompiled it with no issues whatsoever...

   So i am at a standstill the reason being me wanting to compile the sources was because i wanted to use stable
platforms as alot of people love this little package you have here but they are all on the developers version so needless
to say they wanted stable but i cannot get it to compile.... Do you have any ideas?

                                                Thank you
                                                      Mondo

Oh and Claus By the way.. LOVE YOUR SOFTWARE.... Big Fan! Just wanted to throw that in ;)
« Last Edit: April 23, 2013, 03:47:45 by mondoman22 »

Offline mondoman22

  • Newbie
  • *
  • Posts: 7
    • View Profile
Problem Compiling
« Reply #5 on: April 23, 2013, 02:42:12 »
Update,
   I rechecked everything out did an svn up did a make update_all then i went to the Makefile.config
I inserted this

ARCH=x86 and it built to a point here is what happened

patching file drivers/video/vesafb.c
patching file include/linux/console_struct.h
patching file include/linux/fb.h
#
# configuration written to .config
#
    Build Kernel...
arch/x86/kernel/apm_32.c:362:2: warning: #warning deprecated CONFIG_APM_CPU_IDLE will be deleted in 2012 [-Wcpp]
In file included from /usr/local/src/oner/MLD/branches/oneiric/KERNEL/src/linux-3.3.1/arch/x86/include/asm/uaccess.h:573:0,
                 from include/drm/drmP.h:64,
                 from drivers/gpu/drm/radeon/radeon_state.c:30:
In function

Offline clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 20058
    • View Profile
    • ClausMuus.de
Problem Compiling
« Reply #6 on: April 23, 2013, 19:10:26 »
Hi,

it's important that you use the correct Ubuntu version to the MLD repository you check out. So for the MLD-3.0.2 you must use a Ubuntu 12.04 (precise) and for the MLD-3.0.1 it must be a Ubuntu 11.04 (oneiric). So it's important that you check out the right MLD branch.
The MLD-3.0.0 (natty) branch maybe not compile, because some of the needed external sources maybe to new. And the MLD-3.0.1 hast the problem, that most of the VDR Plugins can't be compile any more, because the Plugin sources don't support the VDR version 1.7.31 any more. So, at the moment is only the MLD-3.0.2 compile able without problems and for that you must use a Ubuntu 12.04.

The additional Option ARCH=x86 is only in the natty branch necessary, since this branch use also some newer Addon settings that are not configured in the natty branch. I think it's only possible to compile the natty branch if you checkout with a date filter that makes it sure, that you do not check out versions that are newer than April 2011.

Claus
MLD 5.5 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.5 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559

Offline mondoman22

  • Newbie
  • *
  • Posts: 7
    • View Profile
Problem Compiling
« Reply #7 on: April 23, 2013, 23:07:14 »
Hello Claus,
   Good Afternoon!! Ok now i understand.... Allright See i checkout Natty and Onereic on Precise 12.04
also uclibc for the file system that is the part that is not compiling that is why i am getting the error
the kernel headers are wrong.... Ok Now i understand.... I can still compile some programs against
vdr 3.0.1 (Special Considerations) if you know what i mean and read between the lines which is
a good thing... However i see what you are saying and now i understand what is going on.... Thank you
for your help i appreciate it very much and appreciate the time you took in diagnosing the problems...

                        Thanks so Much
                                      Mondo
 

[1] Others / News / Problem Compiling
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.